import { BaseDependencyManager } from './base-dependency-manager.js';
import { Zippy } from '../zippy.js';
import { PackageDownloader } from '../package-downloader.js';
/**
 * Helm dependency manager installs or uninstalls helm client at SOLO_HOME_DIR/bin directory
 */
export declare class HelmDependencyManager extends BaseDependencyManager {
    private readonly zippy?;
    constructor(downloader?: PackageDownloader, zippy?: Zippy, installationDirectory?: string, osPlatform?: NodeJS.Platform, osArch?: string, helmVersion?: string);
    /**
     * Get the Helm artifact name based on version, OS, and architecture
     */
    protected getArtifactName(): string;
    /**
     * Process the downloaded Helm package by extracting it and finding the executable
     */
    protected processDownloadedPackage(packageFilePath: string, temporaryDirectory: string): Promise<string[]>;
    getVersion(executablePath: string): Promise<string>;
    protected getDownloadURL(): string;
    protected getChecksumURL(): string;
}
